Download it now!
Bug 84943 - LibreOffice hangs in opening of fodt file with textbox in polygon
Summary: LibreOffice hangs in opening of fodt file with textbox in polygon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-12 17:19 UTC by Regina Henschel
Modified: 2015-01-21 12:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Polygon with textbox (62.89 KB, application/vnd.oasis.opendocument.text-flat-xml)
2014-10-12 17:19 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2014-10-12 17:19:21 UTC
Created attachment 107746 [details]
Polygon with textbox

When making the file of issue 84942, I saved it in flat odf format too. The result is attached.

When I open this file, I get a "General input/output error" and LibreOffice hangs with progress bar half filled.

I use Version: 4.4.0.0.alpha0+
Build ID: 86a3fe47a66950e26d23d7d7f2680fa7d4fb0839
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-05_02:45:20
Comment 1 tommy27 2014-10-12 19:13:59 UTC
bug not limited to 4.4 master.
I tried 4.3.2, 4.2.0, 4.1.0 and 3.6.0 under Win7x64 and I get your same results which is "General input/output error", then hanging with progress bar half filled.

updated version field to 3.6.0 (I haven't tried older version).
set status NEW
Comment 2 Commit Notification 2015-01-20 16:20:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4345a3de0e5a600685fef5dc9fa422fe6849a0a3

Resolves: fdo#84943 make fodt non crashy like odt for formulas inside shapes

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2015-01-20 16:21:52 UTC
well, that makes it as useless as 84942 anyway
Comment 4 Commit Notification 2015-01-21 12:35:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fc412538612d9419d5b27a8ad6be2bc51e7b8c3&h=libreoffice-4-3

Resolves: fdo#84943 make fodt non crashy like odt for formulas inside shapes

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-01-21 12:35:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cd11e5c96e1266f2f94ba572454b8c2b7a4d670&h=libreoffice-4-4

Resolves: fdo#84943 make fodt non crashy like odt for formulas inside shapes

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.